This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 832761 - [abrt] shotwell-0.12.3-1.fc17: type_get_qdata_L: Process /usr/bin/shotwell was killed by signal 11 (SIGSEGV)
[abrt] shotwell-0.12.3-1.fc17: type_get_qdata_L: Process /usr/bin/shotwell wa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:21fc67e197037997c708055d904...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-17 04:44 EDT by Ankur Sinha (FranciscoD)
Modified: 2013-08-01 00:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:06:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (4.77 KB, text/plain)
2012-06-17 04:44 EDT, Ankur Sinha (FranciscoD)
no flags Details
File: backtrace (74.02 KB, text/plain)
2012-06-17 04:44 EDT, Ankur Sinha (FranciscoD)
no flags Details
File: maps (80.78 KB, text/plain)
2012-06-17 04:44 EDT, Ankur Sinha (FranciscoD)
no flags Details
File: dso_list (17.15 KB, text/plain)
2012-06-17 04:44 EDT, Ankur Sinha (FranciscoD)
no flags Details

  None (edit)
Description Ankur Sinha (FranciscoD) 2012-06-17 04:44:02 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        shotwell
crash_function: type_get_qdata_L
executable:     /usr/bin/shotwell
kernel:         3.4.0-1.fc17.x86_64
pid:            13523
pwd:            /home/ankur
time:           Sunday 17 June 2012 01:45:43 PM IST
uid:            1000
username:       ankur

backtrace:      Text file, 75799 bytes
dso_list:       Text file, 17566 bytes
environ:        Text file, 4886 bytes
maps:           Text file, 82718 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/ankur/2

comment:
:Not sure. I've tried it thrice. It opens for a bit, and then crashes. This is what I got when I ran it from the terminal:
:
:[ankur@ankur ~]$ shotwell
:Failed to open '/dev/stdout' for writing: Permission deniedFailed to open '/dev/stdout' for writing: Permission deniedFailed to open '/dev/stdout' for writing: Permission deniedFailed to open '/dev/stdout' for writing: Permission deniedFailed to open '/dev/stdout' for writing: Permission deniedFailed to open '/dev/stdout' for writing: Permission deniedFailed to open '/dev/stdout' for writing: Permission deniedFailed to open '/dev/stdout' for writing: Permission deniedFailed to open '/dev/stdout' for writing: Permission deniedFailed to open '/dev/stdout' for writing: Permission deniedFailed to open '/dev/stdout' for writing: Permission deniedFailed to open '/dev/stdout' for writing: Permission deniedFailed to open '/dev/stdout' for writing: Permission deniedFailed to open '/dev/stdout' for writing: Permission deniedFailed to open '/dev/stdout' for writing: Permission deniedFailed to open '/dev/stdout' for writing: Permission deniedFailed to open '/dev/stdout' for writing: Permission deniedFailed to open '/dev/stdout' for writing: Permission deniedFailed to open '/dev/stdout' for writing: Permission deniedFailed to open '/dev/stdout' for writing: Permission deniedFailed to open '/dev/stdout' for writing: Permission deniedFailed to open '/dev/stdout' for writing: Permission deniedFailed to open '/dev/stdout' for writing: Permission deniedFailed to open '/dev/stdout' for writing: Permission deniedSegmentation fault (core dumped)

core_backtrace:
:31243d0d107bba586a96433c76c87a26db1e826c 0x31653 g_type_check_value libgobject-2.0.so.0 -
:f23f8759450275e5e7c4881c8d6dcdec0554a0ce 0x9123c gst_value_init_and_copy libgstreamer-0.10.so.0 -
:f23f8759450275e5e7c4881c8d6dcdec0554a0ce 0x7717a gst_structure_copy libgstreamer-0.10.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xc7c0 - libgobject-2.0.so.0 -
:f23f8759450275e5e7c4881c8d6dcdec0554a0ce 0x75fbd - libgstreamer-0.10.so.0 -
:f23f8759450275e5e7c4881c8d6dcdec0554a0ce 0x77abc gst_structure_id_set libgstreamer-0.10.so.0 -
:7d982b85513a02a6823da80f27b7a8e9c92e91a8 0x150ec - libgstpbutils-0.10.so.0 -
:7d982b85513a02a6823da80f27b7a8e9c92e91a8 0x15189 - libgstpbutils-0.10.so.0 -
:7d982b85513a02a6823da80f27b7a8e9c92e91a8 0x14ff4 - libgstpbutils-0.10.so.0 -
:7d982b85513a02a6823da80f27b7a8e9c92e91a8 0x14ec6 - libgstpbutils-0.10.so.0 -
:7d982b85513a02a6823da80f27b7a8e9c92e91a8 0x154cd - libgstpbutils-0.10.so.0 -
:7d982b85513a02a6823da80f27b7a8e9c92e91a8 0x16a6c gst_discoverer_discover_uri libgstpbutils-0.10.so.0 -
:f8429f1909fce72071ee411de574b8b0f301b313 0x27e240 video_reader_read_clip_duration [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0x28267b video_check_is_interpretable [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0x7dea8 - [exe] -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x6ab42 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x6a345 - libglib-2.0.so.0 -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7d14 start_thread libpthread.so.0 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xf199d clone libc.so.6 -

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30391                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30391                30391                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/9
:1:/dev/pts/9
:2:/dev/pts/9
:3:socket:[711853]
:4:anon_inode:[eventfd]
:5:socket:[711856]
:6:/home/ankur/.cache/shotwell/shotwell.log
:7:socket:[710992]
:8:anon_inode:[eventfd]
:9:anon_inode:[eventfd]
:10:/home/ankur/.shotwell/data/photo.db
:11:anon_inode:[eventfd]
:12:socket:[711088]
:13:socket:[711089]
:14:pipe:[710324]
:15:pipe:[710324]
:16:anon_inode:[timerfd]
:17:pipe:[710527]
:18:pipe:[712151]
:19:pipe:[711196]
:20:pipe:[710614]
:21:pipe:[711216]
:22:pipe:[710643]
:23:pipe:[709626]
:24:pipe:[709631]
:25:pipe:[713903]
:26:pipe:[712259]
:27:pipe:[712769]
:28:pipe:[713906]
:29:pipe:[712776]
:30:pipe:[712335]
:31:pipe:[713912]
:32:pipe:[712342]
:33:pipe:[712346]
:34:pipe:[713963]
:35:pipe:[712353]
:36:pipe:[711334]
:37:pipe:[711337]
:38:pipe:[712404]
:39:pipe:[711340]
:40:pipe:[712457]
:41:/mnt/Miscellaneous/.Pictures/20090110/mov00295.mpg

smolt_data:
:
:
:General
:=================================
:UUID: 40afe36c-a4a9-4393-9f7c-23f1cf55d853
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_GB.utf8
:Platform: x86_64
:BogoMIPS: 5320.04
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 560  @ 2.67GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2661
:System Memory: 3820
:System Swap: 4959
:Vendor: Dell Inc.
:System: Vostro 3400 Not Specified
:Form factor: Portable
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:4136:1088) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:69:4136:1088) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:4136:1088) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:4136:1088) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15115:4136:1088) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4136:1088) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:9288:4136:1088) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(5348:18215:4136:16) pci, bcma-pci-bridge, NETWORK, XPS 8300
:(32902:15164:4136:1088) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:4136:1088) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:4136:1088) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:15174:4136:1088) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(32902:15170:4136:1088) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4136:1088) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:4136:1088) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:4136:1088) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(4318:3043:4136:1088) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(4318:2677:4136:1088) pci, nouveau, VIDEO, GT218 [GeForce 310M]
:(4332:33128:4136:1088) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda6 / ext4 4096 4096 7845799 5892756 5499540 1966080 1709072 1709072
:/dev/sda2 WITHHELD ext4 4096 4096 7660726 6148967 5765006 1921360 1921348 1921348
:/dev/sda8 WITHHELD ext4 4096 4096 53857867 10217928 7521788 13484032 13449436 13449436
:/dev/sda3 /boot ext4 4096 4096 130557 104261 97708 32768 32399 32399
:/dev/sda5 /home ext4 4096 4096 51137456 11697746 9137746 12804096 12714008 12714008
:/dev/sdc2 WITHHELD ext4 4096 4096 112995831 78810203 73154293 28286976 28284845 28284845
:/dev/sdc1 WITHHELD ext4 4096 4096 130933269 117376609 110823009 32768000 32758609 32758609
:/dev/sdb1 WITHHELD ext4 UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/sdb3 WITHHELD ext3 4096 4096 45942735 10181613 7847369 11673600 11647435 11647435
:

var_log_messages:
:Jun 17 13:43:55 ankur abrt[12576]: Saved core dump of pid 12259 (/usr/bin/shotwell) to /var/spool/abrt/ccpp-2012-06-17-13:43:53-12259 (268189696 bytes)
:Jun 17 13:44:34 ankur abrt[13232]: Saved core dump of pid 12674 (/usr/bin/shotwell) to /var/spool/abrt/ccpp-2012-06-17-13:44:31-12674 (384155648 bytes)
:Jun 17 13:45:45 ankur abrt[13662]: Saved core dump of pid 13523 (/usr/bin/shotwell) to /var/spool/abrt/ccpp-2012-06-17-13:45:43-13523 (252432384 bytes)

xsession_errors:
:(shotwell:12259): GStreamer-CRITICAL **: gst_value_init_and_copy: assertion `G_IS_VALUE (src)' failed
:(shotwell:12674): GStreamer-CRITICAL **: gst_value_init_and_copy: assertion `G_IS_VALUE (src)' failed
Comment 1 Ankur Sinha (FranciscoD) 2012-06-17 04:44:09 EDT
Created attachment 592393 [details]
File: environ
Comment 2 Ankur Sinha (FranciscoD) 2012-06-17 04:44:14 EDT
Created attachment 592394 [details]
File: backtrace
Comment 3 Ankur Sinha (FranciscoD) 2012-06-17 04:44:18 EDT
Created attachment 592395 [details]
File: maps
Comment 4 Ankur Sinha (FranciscoD) 2012-06-17 04:44:22 EDT
Created attachment 592396 [details]
File: dso_list
Comment 5 Fedora End Of Life 2013-07-03 20:25:07 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 00:06:28 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.